{-----------------------------------------------------------------------------}
{ Labels handling initialization part.                           (c) 1992 YGP }

  procedure lab_init;
  begin { lab_init }
    lvl:= nil;
    fillchar(cc_defined,  sizeof(cc_defined),  #0);
    fillchar(cc_def_cfg,  sizeof(cc_def_cfg),  #0);
    fillchar(global_labs, sizeof(global_labs), #0);
    fillchar(expr_labs,   sizeof(expr_labs),   #0);
    (*)
	id_sizes[id_undeclared]:= wordsizeof(identifier, id_undeclared);
        id_sizes[id_forward   ]:= wordsizeof(identifier, id_forward   );
        id_sizes[id_expression]:= wordsizeof(identifier, id_expression);
        id_sizes[id_pg_addr   ]:= wordsizeof(identifier, id_pg_addr   );
        id_sizes[id_a_addr    ]:= wordsizeof(identifier, id_a_addr    );
        id_sizes[id_address   ]:= wordsizeof(identifier, id_address   );
        id_sizes[id_eword     ]:= wordsizeof(identifier, id_eword     );
        {$ifdef never}
        id_sizes[id_ebyte     ]:= wordsizeof(identifier, id_ebyte     );
        id_sizes[id_byte      ]:= wordsizeof(identifier, id_byte      );
        id_sizes[id_nbyte     ]:= wordsizeof(identifier, id_nbyte     );
        {$endif}
        id_sizes[id_word      ]:= wordsizeof(identifier, id_word      );
        id_sizes[id_nword     ]:= wordsizeof(identifier, id_nword     );
        id_sizes[id_lint      ]:= wordsizeof(identifier, id_lint      );
        id_sizes[id_real      ]:= wordsizeof(identifier, id_real      );
        id_sizes[id_defined   ]:= wordsizeof(identifier, id_defined   );

        fillchar(value_sizes, sizeof(value_sizes),
                              chr(wordsizeof(value, v_op_add)));
	{$w-}
        fillchar(value_sizes[v_op_neg],
                 ord(v_expr)-ord(v_op_neg) +1,
                 chr(wordsizeof(value, v_op_neg)));

        value_sizes[v_none]:= 0;
        value_sizes[v_err]:=  0;
        value_sizes[v_byte]:= wordsizeof(value, v_byte);
        value_sizes[v_word]:= wordsizeof(value, v_word);
        value_sizes[v_negw]:= wordsizeof(value, v_negw);
        value_sizes[v_cnst]:= wordsizeof(value, v_cnst);
        value_sizes[ v_str]:= wordsizeof(value,  v_str);
        value_sizes[v_real]:= wordsizeof(value, v_real);
        value_sizes[v_addr]:= wordsizeof(value, v_addr);
        value_sizes[v_extr]:= wordsizeof(value, v_extr);
        value_sizes[v_fwrd]:= wordsizeof(value, v_fwrd);
	value_sizes[v_expr]:= wordsizeof(value, v_expr);

        {        fillchar (  packed)

	value_sizes[v_op_neg]:= wordsizeof(value, v_op_neg);
	value_sizes[v_op_not]:= wordsizeof(value, v_op_not);
        value_sizes[v_hi_bt ]:= wordsizeof(value, v_hi_bt );
        value_sizes[v_lo_bt ]:= wordsizeof(value, v_lo_bt );
        value_sizes[v_hi_wd ]:= wordsizeof(value, v_hi_wd );
        value_sizes[v_lo_wd ]:= wordsizeof(value, v_lo_wd );
        value_sizes[v_w_swap]:= wordsizeof(value, v_w_swap);
        value_sizes[v_l_swap]:= wordsizeof(value, v_l_swap);
        }
    {*)
        fillchar(id_sizes, sizeof(id_sizes), chr(sizeof(identifier)));
    {*}
    id_sizes[id_defined]:= 0;
  end { lab_init };

{-----------------------------------------------------------------------------}