{*****************************************************************************}
{*                                                                           *}
{*               MC68xx Assembly Language Compiler version 4.00              *}
{*                                                                           *}
{*****************************************************************************}
							   { Compiler Options }
(*) {$I-,R-}						      { for UniPascal }
{*) (*$A-,B-,E+,F-,I-,N+,O-,R-,S+,V-*)
    (*$D+,L+*)
    (*$M 32767,65535,655360*)				   { for Turbo Pascal }

program _68(output); {$I conditional.def}       { conditional compilation } (*)
  uses UniLex;              { Use include files when compiling with UniPascal }

  {$I  gbl_int.pas }                        { global consts, types, variables }
  {$I  lex_int.pas }                      { lexical analisys (interface part) }
  {$I  lab_int.pas }                        { label handling (interface part) }
  {$I  asm_int.pas }            { assembly language compiler (interface part) }
  {$I  lst_int.pas }                     { listing generator (interface part) }

  {$I error_Nr.pas }                              { error numbers by mnemonic }
  {$I  gbl_imp.pas }
  {$I  lab_imp.pas }                   { label handling (implementation part) }
  {$I  lex_imp.pas }                 { lexical analisys (implementation part) }
  {$I  asm_lst.pas }                { assembly compiler (implementation part) }
  {$I lst_init.pas }             { listing file generator initialization part }
                                                                  {$define lst}
  {$I  asm_lst.pas }             { listing (implementation part) } {$undef lst}

                           {*) (* Use Units when compiling with Turbo Pascal *)
  uses UniPascal,  (* main unit for UniPascal <-> Turbo Pascal compatibality *)
       UniLex,
       BIOS_CRT,
       BIOS_IO,
       _globals,                               (* global consts, types, vars *)
       _lexic,                                           (* lexical analisys *)
       _labels,                                            (* label handling *)
       _listing,                                   (* listing file generator *)
       _assembly;                 (* main part of assembly language compiler *)

  var save_exit: pointer;          (* Turbo Pascal only (emulation of EXIT:) *)

  {$I error_Nr.pas }                            (* error numbers by mnemonic *)

  {$I   comp_exit.pas }     { exiting compiler (    ) }
  {$I  initialize.pas }                       { assembly initialize procedure }

begin { main program }
  c_flags:= _c_terminated;             {    - (ctrl-C) }
  initialize;                                          { initialize assembler }
  assembly;                               { compile assembly language program }
  if (n_errors = 0) and (l_flags and _l_gen_lst <> 0) then begin
    lst_init;                            { initialize listing file generation }
    listing;                                          { generate listing file }
  end { if };
  if (n_errors = 0) and (l_flags and _l_gen_xref <> 0) then begin
    PrintXref(global_labs);
  end { if };

  c_flags:= c_flags and (_c_terminated xor word($ffff));                    (*)
exit:
  comp_exit;                                                                (*)
end { _68xx }.

           getmem-.
     

      equ (==)      
   . :

	proc boza

kosmi	==	kokali
	...
	endp

kokali	=	*

     

*         section
        lst_code:= lst_none
